--==========================================================================================================================
-- ICON ATLASES
--==========================================================================================================================	
-- IconTextureAtlases
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO IconTextureAtlases 
		(Atlas, 						IconSize, 	Filename, 					IconsPerRow, 	IconsPerColumn)
VALUES	('JAR_AMALFI_ALPHA_ATLAS', 		128, 		'atlas_amalfi128.dds',		1,				2),
		('JAR_AMALFI_ALPHA_ATLAS', 		80, 		'atlas_amalfi80.dds',		1, 				2),
		('JAR_AMALFI_ALPHA_ATLAS', 		64, 		'atlas_amalfi64.dds',		1, 				2),
		('JAR_AMALFI_ALPHA_ATLAS', 		48, 		'atlas_amalfi48.dds',		1, 				2),
		('JAR_AMALFI_ALPHA_ATLAS', 		45, 		'atlas_amalfi45.dds',		1, 				2),
		('JAR_AMALFI_ALPHA_ATLAS', 		32, 		'atlas_amalfi32.dds',		1, 				2),
		('JAR_AMALFI_ALPHA_ATLAS', 		24, 		'atlas_amalfi24.dds',		1, 				2),
--		('JAR_AMALFI_ALPHA_ATLAS', 		16, 		'atlas_amalfi16.dds',		1, 				2),
		('JAR_AMALFI_ICON_ATLAS', 		256, 		'atlas_amalfi256.dds',		4, 				3),
		('JAR_AMALFI_ICON_ATLAS', 		128, 		'atlas_amalfi128.dds',		4, 				3),
		('JAR_AMALFI_ICON_ATLAS', 		80, 		'atlas_amalfi80.dds',		4, 				3),
		('JAR_AMALFI_ICON_ATLAS', 		64, 		'atlas_amalfi64.dds',		4, 				3),
		('JAR_AMALFI_ICON_ATLAS', 		45, 		'atlas_amalfi45.dds',		4, 				3),
		('JAR_AMALFI_ICON_ATLAS', 		32, 		'atlas_amalfi32.dds',		4, 				3),
		('JAR_UNIT_FLAG_COMITE',		32, 		'sv_comite32.dds',			1, 				1),
		('JAR_UNIT_FLAG_SAETTIA',		32, 		'sv_saettia32.dds',			1, 				1),	
		('JAR_AMALFI_MISSION_ATLAS', 	64, 		'Jar_Comite_MissionAtlas_64.dds',	1, 		1),
		('JAR_AMALFI_MISSION_ATLAS', 	45, 		'Jar_Comite_MissionAtlas_45.dds',	1, 		1),
		('JAR_AMALFI_PROMO_ATLAS', 		256, 		'amalfiPromo_256.dds', 		3,				1),
		('JAR_AMALFI_PROMO_ATLAS', 		64, 		'amalfiPromo_064.dds', 		3, 				1),
		('JAR_AMALFI_PROMO_ATLAS', 		45, 		'amalfiPromo_045.dds', 		3, 				1),
		('JAR_AMALFI_PROMO_ATLAS', 		32, 		'amalfiPromo_032.dds', 		3, 				1),
		('JAR_AMALFI_PROMO_ATLAS', 		16, 		'amalfiPromo_016.dds', 		3, 				1);
--==========================================================================================================================	
-- Colors
--==========================================================================================================================			
INSERT INTO Colors 
			(Type, 									Red, 	Green, 	Blue, 	Alpha)
VALUES		('COLOR_PLAYER_JAR_AMALFI_ICON',		0,		0.741,	0.906,	1), -- #00BDE7
			('COLOR_PLAYER_JAR_AMALFI_BACKGROUND',	0.012,	0.231,	0.604,	1); -- #033B9A
--==========================================================================================================================	
-- PlayerColors
--==========================================================================================================================				
INSERT INTO PlayerColors 
			(Type, 								PrimaryColor, 							SecondaryColor, 								TextColor)
VALUES		('PLAYERCOLOR_JAR_AMALFI',			'COLOR_PLAYER_JAR_AMALFI_ICON', 		'COLOR_PLAYER_JAR_AMALFI_BACKGROUND', 			'COLOR_PLAYER_WHITE_TEXT');
--==========================================================================================================================
-- ART DEFINES
--==========================================================================================================================	
-- ArtDefine_StrategicView
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_StrategicView 
		(StrategicViewType, 			TileType,	Asset)
VALUES	('ART_DEF_UNIT_JAR_COMITE',		'Unit', 	'sv_comite128.dds');
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitInfos
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO ArtDefine_UnitInfos 
		(Type, 							DamageStates,	Formation)
SELECT	'ART_DEF_UNIT_JAR_COMITE',		DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE Type = 'ART_DEF_UNIT_U_VENETIAN_MERCHANT';
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitInfoMemberInfos
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_UnitInfoMemberInfos
		(UnitInfoType,				UnitMemberInfoType,	NumMembers)
SELECT	'ART_DEF_UNIT_JAR_COMITE', 	UnitMemberInfoType, NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE (UnitInfoType = 'ART_DEF_UNIT_U_VENETIAN_MERCHANT');
--==========================================================================================================================
-- AUDIO
--==========================================================================================================================	
-- Audio_Sounds
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Audio_Sounds 
		(SoundID, 								Filename, 		LoadType)
VALUES	('SND_LEADER_MUSIC_JAR_MANSO_PEACE',	'Amalfi_Peace',	'DynamicResident'),
		('SND_LEADER_MUSIC_JAR_MANSO_WAR', 		'Amalfi_War', 	'DynamicResident');		
--------------------------------------------------------------------------------------------------------------------------
-- Audio_2DSounds
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Audio_2DSounds 
		(ScriptID, 								SoundID, 							SoundType, 		TaperSoundtrackVolume,	MinVolume, 	MaxVolume,  IsMusic, Looping)
VALUES	('AS2D_AMBIENCE_LEADER_JAR_MANSO_AMBIENCE',	'SND_AMBIENCE_COAST_BED', 		'GAME_SFX', 	0.0,					50, 		50, 		0, 		 1),
		('AS2D_LEADER_MUSIC_JAR_MANSO_PEACE',	'SND_LEADER_MUSIC_JAR_MANSO_PEACE', 'GAME_MUSIC', 	-1.0,					50, 		50, 		1, 		 0),
		('AS2D_LEADER_MUSIC_JAR_MANSO_WAR', 	'SND_LEADER_MUSIC_JAR_MANSO_WAR', 	'GAME_MUSIC', 	-1.0,					50, 		50, 		1,		 0);
--==========================================================================================================================	
--==========================================================================================================================
