--==========================================================================================================================
-- MASTER TABLES
--==========================================================================================================================
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS CustomModOptions(Name Text, Value INTEGER, Class INTEGER, DbUpdates INTEGER);
CREATE TABLE IF NOT EXISTS COMMUNITY (Type TEXT, Value INTEGER);
CREATE TABLE IF NOT EXISTS Civilization_JFD_ColonialCityNames(CivilizationType text, ColonyName text, LinguisticType text);
CREATE TABLE IF NOT EXISTS Civilization_JFD_Governments(CivilizationType text, CultureType text, LegislatureName text, OfficeTitle text, GovernmentType text, Weight integer);
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMP(CivilizationType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMPRequestedResource(CivilizationType, MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
CREATE TABLE IF NOT EXISTS JFD_Civilopedia_HideFromPedia(Type text);
CREATE TABLE IF NOT EXISTS JFD_GlobalUserSettings(Type text, Value integer default 1);
CREATE TABLE IF NOT EXISTS MinorCivilizations_YnAEMP(MinorCivType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_YnAEMP
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilizations_YnAEMP
		(CivilizationType,			MapPrefix,		X,		Y,		AltX,	AltY)
		-- v23/24
VALUES	('CIVILIZATION_JAR_AMALFI',	'Yagem',		22,		57,		null,	null),
		('CIVILIZATION_JAR_AMALFI',	'Yahem',		62,		53,		null,	null),
		('CIVILIZATION_JAR_AMALFI',	'Cordiform',	37,		23,		null,	null),
		('CIVILIZATION_JAR_AMALFI',	'GreatestEarth', 51,	41,		null,	null),
		('CIVILIZATION_JAR_AMALFI',	'EuroGiant',	70,		29,		null,	null),
		('CIVILIZATION_JAR_AMALFI',	'EuroLarge', 	38,		29,		null,	null),
		('CIVILIZATION_JAR_AMALFI',	'EuroLargeNew', 42,		20,		null,	null),
		('CIVILIZATION_JAR_AMALFI',	'NorthAtlantic', 101,	21,		null,	null),
		('CIVILIZATION_JAR_AMALFI',	'Apennine', 	36,  	26,		null,	null),
		('CIVILIZATION_JAR_AMALFI',	'Mediterranean', 46,	39,		null,	null),
		('CIVILIZATION_JAR_AMALFI',	'AfriAsiaAust', 29,		76,		null,	null),
		('CIVILIZATION_JAR_AMALFI',	'AfriSouthEuro', 37,	67,		null,	null),
		-- v25
		('CIVILIZATION_JAR_AMALFI',	'MediterraneanHuge', 44, 28,	null,	null),
		('CIVILIZATION_JAR_AMALFI',	'Orient', 		13, 	70,		null,	null),
		('CIVILIZATION_JAR_AMALFI',	'AtlanticGiant', 154,	39,		null,	null),
		('CIVILIZATION_JAR_AMALFI',	'EarthMk3',		23,		53,		null,	null);
--------------------------------------------------------------------------------------------------------------------------	
-- Civilizations_YnAEMPRequestedResource
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilizations_YnAEMPRequestedResource
		(CivilizationType,			MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_JAR_AMALFI',	MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_YnAEMPRequestedResource WHERE CivilizationType = 'CIVILIZATION_VENICE';
--==========================================================================================================================
-- BrutalSamurai's Ethnic Units/Gedemon's R.E.D.
--==========================================================================================================================
-- Civilizations
------------------------------
UPDATE Civilizations 
SET ArtStyleSuffix = (CASE WHEN EXISTS (SELECT ArtStyleSuffix FROM Civilizations WHERE ArtStyleSuffix = '_VENICE' )
	THEN '_VENICE'
	ELSE '_EURO' END) 
WHERE Type = 'CIVILIZATION_JAR_AMALFI';
--==========================================================================================================================
-- UNIQUE CULTURAL INFLUENCE
--==========================================================================================================================
INSERT INTO Diplomacy_Responses
		(LeaderType,				ResponseType,					Response,												Bias)
VALUES	('LEADER_JAR_MANSO_I',		'RESPONSE_INFLUENTIAL_ON_AI',	'TXT_KEY_LEADER_JAR_MANSO_I_INFLUENTIAL_ON_AI%',		1),
		('LEADER_JAR_MANSO_I',		'RESPONSE_INFLUENTIAL_ON_HUMAN','TXT_KEY_LEADER_JAR_MANSO_I_INFLUENTIAL_ON_HUMAN%',		1);
--==========================================================================================================================
-- TROLLER0001's ADDITIONAL ACHIEVEMENTS
--==========================================================================================================================
-- Achievopedia_Tabs
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Achievopedia_Tabs (
	ID  					integer 		PRIMARY KEY		AUTOINCREMENT,
	Type					text							default	null,
	Header					text							default null,
	Description				text							default	null);

INSERT OR REPLACE INTO Achievopedia_Tabs
		(Type,				Header,								Description)
VALUES	('TAB_JAR_CIVS',	'TXT_KEY_TAB_JAR_CIVS_HEADER',		'TXT_KEY_TAB_JAR_CIVS_DESC');
--------------------------------------------------------------------------------------------------------------------------
-- AdditionalAchievements_Mods
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements_Mods (
	ID  					integer 		PRIMARY KEY		AUTOINCREMENT,
	Type					text							default	null,
	ModName					text							default null,
	ModID					text							default	null,	
	Authors					text							default	null);

INSERT INTO AdditionalAchievements_Mods
		(Type,				ModName,						ModID,							Authors)
VALUES	('MOD_JAR_AMALFI',	'TXT_KEY_MOD_JAR_AMALFI_NAME',	'TXT_KEY_MOD_JAR_AMALFI_MODID',	'TXT_KEY_MOD_JAR_AMALFI_AUTHORS');
--------------------------------------------------------------------------------------------------------------------------
-- AdditionalAchievements
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements (
	ID  					integer 		PRIMARY KEY		AUTOINCREMENT,
	Type					text							default	null,
	Achievopedia			text							default null,
	Header					text							default	null,	
	IconAtlas				text							default	null,	
	PortraitIndex			integer							default	0,
	ModType					text							default	null,	
	ModVersion				integer							default	0,
	Unlocked				boolean							default	0,
	LockedIconAtlas			text							default	'CIV_COLOR_ATLAS',
	LockedPortraitIndex		integer							default	23,
	UnlockSound				text							default	'AS2D_INTERFACE_ANCIENT_RUINS',
	PopupDuration			integer							default	-1,
	Hidden					boolean							default	0,
	HiddenBorder			boolean							default	0,
	RequiredCivWin			text							default	null,
	RequiredCivLoss			text							default	null,
	RequiredCivKill			text							default	null);

INSERT INTO AdditionalAchievements
		(Type,						Header,									Achievopedia,							ModType,		ModVersion,		RequiredCivWin,				IconAtlas,					 PortraitIndex)
VALUES	('AA_JAR_AMALFI_SPECIAL',	'TXT_KEY_AA_JAR_AMALFI_SPECIAL_HEADER',	'TXT_KEY_AA_JAR_AMALFI_SPECIAL_TEXT',	'MOD_JAR_AMALFI',	1,			null,						'JAR_AMALFI_ICON_ATLAS',	 9),
		('AA_JAR_AMALFI_VICTORY',	'TXT_KEY_AA_JAR_AMALFI_VICTORY_HEADER',	'TXT_KEY_AA_JAR_AMALFI_VICTORY_TEXT',	'MOD_JAR_AMALFI',	1,			'CIVILIZATION_JAR_AMALFI',	'JAR_AMALFI_ICON_ATLAS',	 8);
--------------------------------------------------------------------------------------------------------------------------
-- AdditionalAchievements_Tabs
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements_Tabs (
	AchievementType			text		default	null,
	TabType					text		default	null);

INSERT OR REPLACE INTO AdditionalAchievements_Tabs
		(AchievementType,			TabType)
VALUES	('AA_JAR_AMALFI_SPECIAL',	'TAB_JAR_CIVS'),
		('AA_JAR_AMALFI_VICTORY',	'TAB_JAR_CIVS');
--==========================================================================================================================
-- HAZEL MAP LABELS
--==========================================================================================================================
-- ML_CivCultures
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS ML_CivCultures(CivType, CultureType, CultureEra);
INSERT OR REPLACE INTO ML_CivCultures
		(CivType,					CultureType,	CultureEra)
VALUES	('CIVILIZATION_JAR_AMALFI',	'SOUTH_ITALY',		'ANY');
--==========================================================================================================================
-- ML_CivCultures
------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS ML_Cultures(ID INTEGER PRIMARY KEY AUTOINCREMENT, Type TEXT, 'Group' TEXT, Description TEXT, SuggestedCivs TEXT);
INSERT OR REPLACE INTO ML_Cultures
			(Type,				'Group')
VALUES		('SOUTH_ITALY', 	'CULTURE_GROUP_EUROPEAN');

UPDATE ML_Cultures
SET Description = 'TXT_KEY_ML_CULTURE_' || Type,
	SuggestedCivs = 'TXT_KEY_ML_CULTURE_' || Type || '_SUGGESTEDCIVS'
WHERE Type = 'SOUTH_ITALY';
--------------------------------
-- LAKE
--------------------------------
CREATE TABLE IF NOT EXISTS ML_Labels_Dynamic (ID INTEGER PRIMARY KEY AUTOINCREMENT, Name TEXT, MainType TEXT default "FEATURE", SubType TEXT, CultureType TEXT);
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_VARANO'),
			('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_LESINA'),
			('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_AVERNO'),
			('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_LUCRINO'),
			('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_LENTINI'),
			('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_BIVIERE');
--------------------------------
-- OCEAN
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'REGION',	 	'OCEAN',			'TXT_KEY_NAME_SOUTH_ITALY_OCEAN_TIRRENO'),
			('SOUTH_ITALY',		'REGION',	 	'OCEAN',			'TXT_KEY_NAME_SOUTH_ITALY_OCEAN_ADRIATICO'),
			('SOUTH_ITALY',		'REGION',	 	'OCEAN',			'TXT_KEY_NAME_SOUTH_ITALY_OCEAN_IONIO'),
			('SOUTH_ITALY',		'REGION',	 	'OCEAN',			'TXT_KEY_NAME_SOUTH_ITALY_OCEAN_MEDITERRANEAN'),
			('SOUTH_ITALY',		'REGION',	 	'OCEAN',			'TXT_KEY_NAME_SOUTH_ITALY_OCEAN_SICILYSTRAIT');
--------------------------------
-- REGION
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_LUCANIA'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_SANNIO'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_IRPINIA'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_CILENTO'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_CAPITANATA'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_SALENTO'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_TAVOLIERE'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_SILA'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_SIBARI'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_MARSICA'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_ABRUZZO'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_NOTO'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_MOLISE'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_MAZARA');
--------------------------------
-- MOUNTAIN
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_GRANSASSO'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_POLLINO'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_SERRA'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_MATESE'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_METAMOUNT'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_MONTIDAUNI'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_MOUNTETNA'),			
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_MOUNTVESUVIUS');
--------------------------------
-- FOREST
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_SCORACE'),
			('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_ARCHIFORO'),
			('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_MERCADANTE'),
			('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_CERRETACOGNOLE'),
			('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_SANTANTONIO'),
			('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_PENNATARO');
--------------------------------
-- ISLAND
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_SICILY'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_CAPRI'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_ISCHIA'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_LAMPEDUSA'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_FAVIGNANA'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_USTICA'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_LIPARI'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_SALINA'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_SANDOMINO'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_PANTELLERIA');
--------------------------------
-- RIVER
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_VOLTURNO'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_SIMETO'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_LIRI'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_OFANTO'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_SANGRO'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_FORTORE'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_BASENTO');
--------------------------------------------------------------------------------------------------------------------------
-- Civilization_JFD_CultureTypes
--------------------------------------------------------------------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_CultureTypes(
	CivilizationType 					text 		REFERENCES Civilizations(Type) 		default null,
	CultureType 						text											default null,
	SubCultureType 						text											default null,
	ArtDefineTag						text											default	null,
	DecisionsTag						text											default	null,
	DefeatScreenEarlyTag				text											default	null,
	DefeatScreenMidTag					text											default	null,
	DefeatScreenLateTag					text											default	null,
	IdealsTag							text											default	null,
	SplashScreenTag						text											default	null,
	SoundtrackTag						text											default	null,
	UnitDialogueTag						text											default null);
	
INSERT INTO Civilization_JFD_CultureTypes
		(CivilizationType,			ArtDefineTag, CultureType, SubCultureType, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag)
SELECT	'CIVILIZATION_JAR_AMALFI',	ArtDefineTag, CultureType, SubCultureType, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag
FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_VENICE';

/*UPDATE Civilizations 
SET SoundtrackTag = (SELECT SoundtrackTag FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_JAR_AMALFI')
WHERE Type = 'CIVILIZATION_JAR_AMALFI';*/
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_JFD_Governments
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_JFD_Governments
		(CivilizationType, 			GovernmentType,			Weight)
SELECT	'CIVILIZATION_JAR_AMALFI', 	GovernmentType,			Weight
FROM Civilization_JFD_Governments WHERE CivilizationType = 'CIVILIZATION_VENICE';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_JFD_ColonialCityNames
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_JFD_ColonialCityNames 
		(CivilizationType, 			LinguisticType)
SELECT	'CIVILIZATION_JAR_AMALFI',	LinguisticType
FROM Civilization_JFD_ColonialCityNames WHERE CivilizationType = 'CIVILIZATION_VENICE';
--==========================================================================================================================
--==========================================================================================================================